﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.OleDb;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AutoSearchDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            string connectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" +
                         System.IO.Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.MyDocuments),
                         @"ComponentOne Samples\Common\C1NWind.mdb") + ";";
            OleDbConnection conn = new OleDbConnection(connectionString);
            OleDbDataAdapter adapter = new OleDbDataAdapter("Select * from Data", conn);
            adapter.Fill(dt);
            c1FlexGrid1.DataSource = dt;
            c1FlexGrid1.BeforeRowColChange += C1FlexGrid1_BeforeRowColChange;
        }

        private void C1FlexGrid1_BeforeRowColChange(object sender, C1.Win.C1FlexGrid.RangeEventArgs e)
        {
           if(e.NewRange.c1 == 2)
            {
             c1FlexGrid1.AutoSearch = C1.Win.C1FlexGrid.AutoSearchEnum.FromTop;
            }
           else
            {
             c1FlexGrid1.AutoSearch = C1.Win.C1FlexGrid.AutoSearchEnum.None;
            }
        }
    }
}
